CVE-2015-3331

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The __driver_rfc4106_decrypt function in arch/x86/crypto/aesni-intel_glue.c in the Linux kernel before 3.19.3 does not properly determine the memory locations used for encrypted data, which allows context-dependent attackers to cause a denial of service (buffer overflow and system crash) or possibly execute arbitrary code by triggering a crypto API call, as demonstrated by use of a libkcapi test program with an AF_ALG(aead) socket.

References

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ccfe8c3f7e52ae83155cb038753f4c75b774ca8a

http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00004.html

http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00007.html

http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00008.html

http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00009.html

http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00011.html

http://rhn.redhat.com/errata/RHSA-2015-1081.html

http://rhn.redhat.com/errata/RHSA-2015-1199.html

http://www.debian.org/security/2015/dsa-3237

http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.19.3

http://www.openwall.com/lists/oss-security/2015/04/14/16

http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html

http://www.securitytracker.com/id/1032416

http://www.ubuntu.com/usn/USN-2631-1

http://www.ubuntu.com/usn/USN-2632-1

https://bugzilla.redhat.com/show_bug.cgi?id=1213322

https://github.com/torvalds/linux/commit/ccfe8c3f7e52ae83155cb038753f4c75b774ca8a

Details

Source: MITRE

Published: 2015-05-27

Updated: 2018-01-05

Type: CWE-119

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* versions up to 3.19.2 (inclusive)

Tenable Plugins

View all (28 total)

IDNameProductFamilySeverity
124811EulerOS Virtualization 3.0.1.0 : kernel (EulerOS-SA-2019-1487)NessusHuawei Local Security Checks
high
124808EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1484)NessusHuawei Local Security Checks
critical
90019OracleVM 3.2 : kernel-uek (OVMSA-2016-0037)NessusOracleVM Local Security Checks
critical
85764SUSE SLES11 Security Update : kernel (SUSE-SU-2015:1478-1)NessusSuSE Local Security Checks
medium
85097Oracle Linux 6 : kernel (ELSA-2015-1272)NessusOracle Linux Local Security Checks
high
84545SUSE SLED11 / SLES11 Security Update : kernel (SUSE-SU-2015:1174-1)NessusSuSE Local Security Checks
medium
84486RHEL 6 : kernel (RHSA-2015:1199)NessusRed Hat Local Security Checks
high
84227SUSE SLED12 / SLES12 Security Update : kernel (SUSE-SU-2015:1071-1)NessusSuSE Local Security Checks
medium
84119Ubuntu 12.04 LTS : linux vulnerabilities (USN-2631-1)NessusUbuntu Local Security Checks
high
84091CentOS 6 : kernel (CESA-2015:1081)NessusCentOS Local Security Checks
high
84078Scientific Linux Security Update : kernel on SL6.x i386/x86_64 (20150609)NessusScientific Linux Local Security Checks
high
84075RHEL 6 : kernel (RHSA-2015:1081)NessusRed Hat Local Security Checks
high
84073Oracle Linux 6 : kernel (ELSA-2015-1081)NessusOracle Linux Local Security Checks
high
83762Ubuntu 14.10 : linux vulnerabilities (USN-2616-1)NessusUbuntu Local Security Checks
high
83761Ubuntu 14.04 LTS : linux-lts-utopic vulnerabilities (USN-2615-1)NessusUbuntu Local Security Checks
high
83760Ubuntu 14.04 LTS : linux vulnerabilities (USN-2614-1)NessusUbuntu Local Security Checks
high
83759Ubuntu 12.04 LTS : linux-lts-trusty vulnerabilities (USN-2613-1)NessusUbuntu Local Security Checks
high
83493Amazon Linux AMI : kernel (ALAS-2015-523)NessusAmazon Linux Local Security Checks
high
83485OracleVM 3.3 : kernel-uek (OVMSA-2015-0060)NessusOracleVM Local Security Checks
medium
83451Scientific Linux Security Update : kernel on SL7.x x86_64 (20150512)NessusScientific Linux Local Security Checks
high
83449Oracle Linux 5 / 6 : Unbreakable Enterprise kernel (ELSA-2015-3036)NessusOracle Linux Local Security Checks
critical
83448Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2015-3035)NessusOracle Linux Local Security Checks
medium
83424RHEL 7 : kernel-rt (RHSA-2015:0981)NessusRed Hat Local Security Checks
high
83417CentOS 7 : kernel (CESA-2015:0987)NessusCentOS Local Security Checks
high
83410RHEL 6 : MRG (RHSA-2015:0989)NessusRed Hat Local Security Checks
high
83408RHEL 7 : kernel (RHSA-2015:0987)NessusRed Hat Local Security Checks
high
83402Oracle Linux 7 : kernel (ELSA-2015-0987)NessusOracle Linux Local Security Checks
high
83065Debian DSA-3237-1 : linux - security updateNessusDebian Local Security Checks
high